curl --request GET \
--url https://api.phare.io/uptime/status-pages/{statusPageId}/current-status \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.phare.io/uptime/status-pages/{statusPageId}/current-status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.phare.io/uptime/status-pages/{statusPageId}/current-status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.phare.io/uptime/status-pages/{statusPageId}/current-status",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.phare.io/uptime/status-pages/{statusPageId}/current-status"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.phare.io/uptime/status-pages/{statusPageId}/current-status")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.phare.io/uptime/status-pages/{statusPageId}/current-status")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"current_incident_impact": "unknown",
"availability": 99.9999,
"updated_at": "2023-11-07T05:31:56Z",
"components": [
{
"component_type": "uptime/monitor",
"component_id": 1,
"name": "Website",
"response_time": 123,
"availability": 99.9999,
"current_incident_impact": "unknown"
}
],
"active_incidents": [
{
"id": 1,
"title": "Service is not working as expected",
"impact": "unknown",
"state": "unknown",
"status": "ongoing",
"exclude_from_downtime": false,
"incident_at": "2023-11-07T05:31:56Z",
"recovery_at": "2023-11-07T05:31:56Z"
}
]
}{
"message": "Unauthenticated."
}{
"message": "The platform:write permission is required to perform this action."
}{
"message": "Record not found."
}Get a status page current status
Get a status page current status by ID
curl --request GET \
--url https://api.phare.io/uptime/status-pages/{statusPageId}/current-status \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.phare.io/uptime/status-pages/{statusPageId}/current-status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.phare.io/uptime/status-pages/{statusPageId}/current-status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.phare.io/uptime/status-pages/{statusPageId}/current-status",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.phare.io/uptime/status-pages/{statusPageId}/current-status"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.phare.io/uptime/status-pages/{statusPageId}/current-status")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.phare.io/uptime/status-pages/{statusPageId}/current-status")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"current_incident_impact": "unknown",
"availability": 99.9999,
"updated_at": "2023-11-07T05:31:56Z",
"components": [
{
"component_type": "uptime/monitor",
"component_id": 1,
"name": "Website",
"response_time": 123,
"availability": 99.9999,
"current_incident_impact": "unknown"
}
],
"active_incidents": [
{
"id": 1,
"title": "Service is not working as expected",
"impact": "unknown",
"state": "unknown",
"status": "ongoing",
"exclude_from_downtime": false,
"incident_at": "2023-11-07T05:31:56Z",
"recovery_at": "2023-11-07T05:31:56Z"
}
]
}{
"message": "Unauthenticated."
}{
"message": "The platform:write permission is required to perform this action."
}{
"message": "Record not found."
}Authorizations
Use a user token to access authenticated routes. The token must be specified in the Authorization HTTP header with the following format 'Authorization: Bearer '.
Headers
A project header is required when using an organization-scoped API key.
1
A project header is required when using an organization-scoped API key.
"luminous-guiding-tower"
Path Parameters
ID of the status page to show the current status for
Response
Success, status page current status retrieved
Highest impact of all the active incidents linked to the status page, maintenance if there is no active incident and a maintenance window linked to the status page is in progress
unknown, operational, maintenance, degraded_performance, partial_outage, major_outage Average availability of all associated monitors over the status page timeframe (30, 60 or 90 days), in percents
99.9999
Date of the data calculation
Components of the status page and their current status
- Monitor component
- Group component
Show child attributes
Show child attributes
Active incidents linked to the status page, unpublished incidents are excluded
Show child attributes
Show child attributes
Was this page helpful?